function skill077()

	for se=1,7,1 do
		if battle.CheckNpcPlace(se)==0 then
			local a=battle.GetRndNumber(1,100)
			if a>=1 and a<=15 then
				local tid=battle.GetPlaceNpcID(se)
				local noid=npc.GetTemplateID(tid)
				if noid==5507 or noid==5512 or noid==5520 or noid==5521 or noid==5522 or noid==5524 or noid==5533 or noid==5536 or noid==5540 or noid==5541 or noid==5542 or noid==5543 or noid==5548 or noid==5549 or noid==5550 or noid==5554 or noid==5559 or noid==5581 or noid==7031 or noid==7043 or noid==7046 or noid==10021 or noid==10027 or noid==10048 or noid==10049 then
				   npc.AddStat(0,tid,100,29,1)
				end
			end
		end
	end

end